> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Workspace

> Get Workspace



## OpenAPI

````yaml v1/api/business.json get /workspaces
openapi: 3.1.0
info:
  title: ED's Public API
  description: ED's Public API
  version: 26.622.88
servers:
  - url: https://api.edges.run/v1/
security:
  - APIKeyHeader: []
paths:
  /workspaces:
    get:
      tags:
        - Core
      summary: Get current workspace consumption and billing information.
      description: Get Workspace
      operationId: get_workspaces
      responses:
        '200':
          description: Successfully retrieved the current workspace consumption.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericResponse_WorkspaceConsumptionPublicModel_
              example:
                name: Example Workspace
                uid: 123e4567-e89b-12d3-a456-426614174000
                credits_left: 50
                credits_max: 100
                credits_used: 50
                plan_name: Growth
                current_month_start: '2023-10-01T00:00:00Z'
                current_month_end: '2023-10-31T23:59:59Z'
                identities_included: 10
                identities_synced: 2
                identities_remaining: 8
        '404':
          description: Couldn't find workspace.
          content:
            application/json:
              examples:
                workspace-not-found:
                  summary: Couldn't find the targeted user.
                  value:
                    message: Workspace not found
                    error_label: WORKSPACE_404_NOT_FOUND
                    addtional_info:
                      details: >-
                        Could not find Workspace that has
                        workspace_uid=123e4567-e89b-12d3-a456-426614174000
                workspace-admin-not-found:
                  summary: Couldn't find admin in workspace
                  value:
                    message: Couldn't find admin in workspace
                    error_label: WORKSPACE_ADMIN_404_NOT_FOUND
components:
  schemas:
    GenericResponse_WorkspaceConsumptionPublicModel_:
      allOf:
        - $ref: '#/components/schemas/WorkspaceConsumptionPublicModel'
      title: GenericResponse[WorkspaceConsumptionPublicModel]
    WorkspaceConsumptionPublicModel:
      properties:
        uid:
          type: string
          format: uuid
          title: Uid
        name:
          type: string
          maxLength: 55
          title: Name
          description: The name of the workspace (maximum 55 characters)
        credits_left:
          type: number
          title: Credits Left
          default: 0
        credits_max:
          type: integer
          title: Credits Max
          default: 0
        credits_used:
          type: number
          title: Credits Used
          default: 0
        plan_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Name
        current_month_start:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Month Start
        current_month_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Month End
        identities_included:
          type: integer
          title: Identities Included
          default: 0
        identities_synced:
          type: integer
          title: Identities Synced
          default: 0
        identities_remaining:
          type: integer
          title: Identities Remaining
          default: 0
      type: object
      required:
        - name
      title: WorkspaceConsumptionPublicModel
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key required for authentication. Add your API key in the X-API-Key
        header.

````